@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$processes__header--height: $navigation__top-menu--height;
$processes__header--line-height: 40px;
$processes__header--padding: floor(($processes__header--height - $processes__header--line-height)/2) 0;
$processes__header--bg-color: $navigation__top-menu--bg-color;
$processes__header-title--margin-left: $container-spacing-default__third;
$processes__header-button--size: 16px;
$processes__header-close-button--padding: 0 floor(($processes__header--line-height - $processes__header-button--size)/2);
$processes__header-process-icon-spinner--top: 2px;
$processes__header-process-icon-spinner--right: -3px;
$processes__header-process-icon-spinner--size: 8px;
$processes__header-process-icon-spinner--border: 1.5px solid $white;
$processes__header-process-icon-spinner--bg-color: $processes__header--bg-color;
$processes__header-process-icon-spinner--animation-duration: 1500ms;
$processes__header-process-icon-spinner-before--space: $boxes--border__thin;
$processes__header-process-icon-spinner-before--size: $processes__header-process-icon-spinner--size + (2*$processes__header-process-icon-spinner-before--space);
$processes__header-process-icon-unseen--bg-color: $orange__default--400;
$processes__header-process-icon-unseen--size: $processes__header-process-icon-spinner--size - 1px;
$processes__header-process-icon-unseen--right: $processes__header-process-icon-spinner--right;
$processes__header-process-icon-unseen--top: $processes__header-process-icon-spinner--top;

$processes__item-status-running--color: $blue__default;
$processes__item-status-run-restart--color: $blue__default;
$processes__item-status-aborted--color: $orange__default--300;
$processes__item-status-finished--color: $green_light-200;
$processes__item-status-failed--color: $orange__default--300;
$processes__item-status-paused--color: $white;
$processes__item-status-unknown--color: $grey__default;

$processes__default-popup--bg-color: $white;
$processes__default-popup--color: $black__blueish--100;

$processes__settings-popup-container--padding-x: $container-spacing-default__third;
$processes__settings-popup-container--padding: $processes__settings-popup-container--padding-x;
$processes__settings-popup-delimiter--border: $boxes--border__thin solid $grey__light--100;
$processes__settings-popup-container--width: 190px;
$processes__settings-popup-range-list--top: $processes__settings-popup-container--padding-x;

$processes__settings-popup-setting--width: calc(100% - 22px);

$processes__settings-popup-range-list-toggle-btn--font-family: $font-family-fontawesome;
$processes__settings-popup-range-list-toggle-btn--size: $container-spacing-default__half;
$processes__settings-popup-range-list-toggle-btn-down--content: $anglearrow__down--content;
$processes__settings-popup-range-list-toggle-btn-up--content: $anglearrow__up--content;
$processes__settings-popup-range-list-toggle-btn--right: $processes__settings-popup-container--padding-x;
$processes__settings-popup-range-list-toggle-btn-icon--margin-top: - floor($processes__settings-popup-range-list-toggle-btn--size/2);
$processes__settings-popup-range-list-toggle-btn--margin-top: floor($editor-defaults__inline-box--height/2) + $processes__settings-popup-range-list-toggle-btn-icon--margin-top;
$processes__settings-popup-range-list-item-hover--color: $blue__default;
$processes__settings-popup-range-list-toggle-btn-hover--color: $processes__settings-popup-range-list-item-hover--color;


$processes__settings-popup--margin-top: 8px;
$processes__sidbar-popup--margin-top: -6px;

$processes__sidebar--width: 520px;
$processes__sidebar--z-index: 100; 
$processes__sidebar--bg-color: $black__blueish--200;
$processes__sidebar-default--max-width: $processes__sidebar--width;

$processes__sidebar-default--bp-s: 519px;
$processes__sidebar-default--bp-m: 1209px;

$processes__sidebar-bp-s--max-width: 300px;
$processes__sidebar-bp-m--max-width: 420px;

$processes__sidebar--transition: max-width 0.3s ease-in;
$processes__sidebar-disabled--transition: max-width 0.2s ease-out;

$processes__list-listcell--padding-x: 5px;
$processes__list-listcell-content--padding-top: $container-spacing-default__third;
$processes__list--min-width: $processes__sidebar--width;
$processes__list--height: calc(100% - #{$processes__header--height});
$processes__list--transition: $processes__sidebar--transition;
$processes__list-item-content--padding: 0 ($container-spacing-default__base - $processes__list-listcell--padding-x) 0 $container-spacing-default__base;

$processes__list-item-progress-default--bg-color: $blue__default;
$processes__list-item-progress--height: 2px;
$processes__list-item-progress--margin: $container-spacing-default__third 0;
$processes__list-item-progress-before--bg-color: $black;
$processes__list-item-progress-before--right: (nth($processes__list-item-content--padding, 2) + $processes__list-listcell--padding-x);
$processes__list-item-progress-before--left: (nth($processes__list-item-content--padding, 4) + $processes__list-listcell--padding-x);

$processes__list-item-default--bg-color: $black__blueish--200;//
$processes__list-item-default--border-color: $blue__dark;
$processes__list-item--border: $boxes--border__thin solid $processes__list-item-default--border-color;
$processes__list-item-active--bg-color: $blue__dark;
$processes__list-item-actvie--border-color: $black__blueish--200;

$processes__list-item-icon--size: 16px;
$processes__list-item-icon--margin: 1px ($container-spacing-default__third - $processes__list-listcell--padding-x);

$processes__list-item-edit-btn--size: 24px;
$processes__list-item-edit-btn--bottom: $container-spacing-default__half;

$processes__list-item-status-label--margin-right: -($container-spacing-default__base - $container-spacing-default__third);
$processes__list-item-status-info-text--color: $white;
$processes__list-item-status-info-text--padding-left: (nth($processes__list-item-content--padding, 2));
$processes__list-item-status-info-text--font-weight: $font-weight-bold;

$processes__list-item-label--color: $grey__light--800;
$processes__list-item-label--font-size: $font-size__small;
$processes__list-item-label--text-align: left;

$processes__list-item-no-access-label--color: $grey__default--900;
$processes__list-item-no-access-label--font-size: $font-size__base;
$processes__list-item-no-access-label--font-style: italic;
$processes__list-item-no-access-label--text-align: center;

$processes__list-item-indicator--top: 0;
$processes__list-item-indicator--right: -2px;

$processes__auto-close-layer--z-index: $processes__sidebar--z-index - 1;
$processes__auto-close-layer--bg-color: $black__blueish--200;
$processes__auto-close-layer--transition: opacity 0.12s ease-in 0s, width 0s linear 0.12s;
$processes__auto-close-layer-active--transition: opacity 0.25s ease-out 0.2s, width 0s linear 0.1s;
$processes__auto-close-layer-active--opacity: 0.6;